require 'JSON'

module Clockker
  class Config
    attr_accessor :whitelist, :blacklist, :url_whitelist, :config_version, :token, :region, :identifier, :submit_frequency, :log_level, :development
    def initialize(overrides = {})
      if File.exists?(File.join(Dir.home, '.clockker'))
        clockker_config = JSON.parse(File.read(File.join(Dir.home, '.clockker')))
      else
        clockker_config = '{}'
      end

      # Set values from clockker_config
      @whitelist = clockker_config["whitelist"]
      @blacklist = clockker_config["blacklist"]
      @url_whitelist = clockker_config["url_whitelist"]
      @config_version = clockker_config["version"]
      @token = clockker_config["token"]
      @region = clockker_config["region"]
      @submit_frequency = clockker_config["submit_frequency"]
      @log_level = clockker_config["log_level"]
      @development = clockker_config["development"]

      # override values specified at the command line
      overrides.each do |key, value|
        instance_variable_set "@#{key}".to_sym, value
      end
    end
  end
end
